OpenVDB: SparseMaskedExtractor< DenseType, MaskTreeType > Class Template Reference

OpenVDB 6.0.0

Public Types | Public Member Functions | List of all members
SparseMaskedExtractor< DenseType, MaskTreeType > Class Template Reference

Functor-based class used to extract data from a dense grid, at the index-space intersection with a supplied mask in the form of a sparse tree. The `extractSparseTreeWithMask` function wraps this class. More...

`#include <DenseSparseTools.h>`

## Public Types
typedef DSConverter< DenseType, MaskTreeType >::Type | _ResultTreeType
typedef _ResultTreeType | ResultTreeType
typedef ResultTreeType::LeafNodeType | ResultLeafNodeType
typedef ResultTreeType::ValueType | ResultValueType
typedef ResultValueType | DenseValueType
typedef ResultTreeType::template ValueConverter< ValueMask >::Type | MaskTree
typedef MaskTree::LeafCIter | MaskLeafCIter
typedef std::vector< const typename MaskTree::LeafNodeType * > | MaskLeafVec

## Public Member Functions
| SparseMaskedExtractor (const DenseType &dense, const ResultValueType &background, const MaskLeafVec &leafVec)
| SparseMaskedExtractor (const SparseMaskedExtractor &other, tbb::split)
ResultTreeType::Ptr | extract (bool threaded=true)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (SparseMaskedExtractor &rhs)

## Detailed Description

### template<typename DenseType, typename MaskTreeType>
class openvdb::v6_0::tools::SparseMaskedExtractor< DenseType, MaskTreeType >

Functor-based class used to extract data from a dense grid, at the index-space intersection with a supplied mask in the form of a sparse tree. The `extractSparseTreeWithMask` function wraps this class.

## Member Typedef Documentation

## ◆ _ResultTreeType

typedef DSConverter<DenseType, MaskTreeType>::Type _ResultTreeType

## ◆ DenseValueType

typedef ResultValueType DenseValueType

## ◆ MaskLeafCIter

typedef MaskTree::LeafCIter MaskLeafCIter

## ◆ MaskLeafVec

typedef std::vector<const typename MaskTree::LeafNodeType*> MaskLeafVec

## ◆ MaskTree

typedef ResultTreeType::template ValueConverter<ValueMask>::Type MaskTree

## ◆ ResultLeafNodeType

typedef ResultTreeType::LeafNodeType ResultLeafNodeType

## ◆ ResultTreeType

typedef _ResultTreeType ResultTreeType

## ◆ ResultValueType

typedef ResultTreeType::ValueType ResultValueType

## Constructor & Destructor Documentation

## ◆ SparseMaskedExtractor() [1/2]

SparseMaskedExtractor | ( | const DenseType & | dense,
|  | const ResultValueType & | background,
|  | const MaskLeafVec & | leafVec
| ) |  |
| inline

## ◆ SparseMaskedExtractor() [2/2]

SparseMaskedExtractor | ( | const SparseMaskedExtractor< DenseType, MaskTreeType > & | other,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ extract()

ResultTreeType::Ptr extract | ( | bool | threaded = `true` | ) |
| inline

## ◆ join()

void join | ( | SparseMaskedExtractor< DenseType, MaskTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this class was generated from the following file:

- DenseSparseTools.h